pub fn verse(verse_num: i32) -> String{
    match verse_num {
        0 => return String::from("No more bottles of beer on the wall, no more bottles of beer.\nGo to the store and buy some more, 99 bottles of beer on the wall.\n"),
        1 => return String::from("1 bottle of beer on the wall, 1 bottle of beer.\nTake it down and pass it around, no more bottles of beer on the wall.\n"),
        2 => return String::from("2 bottles of beer on the wall, 2 bottles of beer.\nTake one down and pass it around, 1 bottle of beer on the wall.\n"),
        _ => return String::from("{:?} bottles of beer on the wall, {:?} bottles of beer.\nTake one down and pass it around, {:z} bottles of beer on the wall.\n").replace("{:?}", verse_num.to_string().as_str()).replace("{:z}", (verse_num - 1).to_string().as_str())
    }
}

pub fn sing(last_verse: i32, first_verse: i32) -> String{
    let mut song: String = "".to_string();
    let mut count: i32 = last_verse;
    while count != (first_verse - 1){
        song += &verse(count);
        song += "\n";
        count -= 1;
    }
    song.pop();
    return song;
}
